#!/bin/bash
set -euo pipefail

if [ ! -f ramdisk.igz ]; then
    ./build.sh
fi

exec qemu-system-x86_64 \
    -M q35 \
    -smp 2 \
    -m 128M \
    -kernel kernel \
    -initrd ramdisk.igz \
    -append "root=/dev/ram0 migrate start=--headless" \
    -no-reboot \
    -audiodev none,id=id \
    -fw_cfg name=opt/org.toaruos.gettyargs,string="-a local /dev/ttyS1 115200" \
    -fw_cfg name=opt/org.toaruos.bootmode,string=headless \
    -monitor none \
    -serial null -serial stdio \
    -nographic
